This is Browse.info, produced by Macaulay2, version 1.25.05

Browse -- a method for browsing and examining Macaulay2 data structures
***********************************************************************

Description
===========

This package provides a method, see browse, for browsing and
examining Macaulay2 data structures.

Author
======

  * Daniel R. Grayson (see http://www.math.uiuc.edu/~dan/ ) <dan@math.uiuc.edu>

Version
=======

This documentation describes version 1.0 of Browse.

Citation
========

If you have used this package in your research, please cite it as follows:

+-----------------------------------------------------------------------------+
|@misc{BrowseSource,                                                          |
|  title = {{Browse: a method for browsing and examining \emph{Macaulay2} data|
|  author = {Daniel R. Grayson},                                              |
|  howpublished = {A \emph{Macaulay2} package available at                    |
|    \url{https://github.com/Macaulay2/M2/tree/master/M2/Macaulay2/packages}} |
|}                                                                            |
|-----------------------------------------------------------------------------|
|structures. Version~1.0}},                                                   |
+-----------------------------------------------------------------------------+

Exports
=======

  * Functions and commands
      * browse -- browse the contents of an object

For the programmer
==================

The object Browse, is a package (Macaulay2Doc),
defined in Browse.m2.

-------------------------------------------------------------------------------

The source of this document is in Browse.m2:155:0.

browse -- browse the contents of an object
******************************************

Description
===========

browse x -- provides an interactive mechanism that allows the user to explore
the hash table or list x.

A menu of numbered items is presented to the user that allow the user to
inspect the class (Macaulay2Doc), or parent (Macaulay2Doc),
of x.  For a hash table, the keys are presented so the
user can visit the corresponding values, and for a list, the entries are
presented so the user can visit them.  One of the menu items allows the user to
go back to re-examine the previous item.

For the programmer
==================

The object browse, is a function closure (Macaulay2Doc).

-------------------------------------------------------------------------------

The source of this document is in Browse.m2:169:0.